# TODO: use system libassuan 2 instead of included libassuan 1
#
# Conditional build:
%bcond_without	gtk	# without GTK+ 1.x dialog
%bcond_without	qt	# without Qt 3.x dialog
#
Summary:	Simple PIN or passphrase entry dialogs (old frontends)
Summary(pl.UTF-8):	Proste kontrolki dialogowe do wpisywania PIN-ów lub haseł (stare interfejsy)
Name:		pinentry0.8
Version:	0.8.4
Release:	3
License:	GPL v2+
Group:		Applications
Source0:	ftp://ftp.gnupg.org/gcrypt/pinentry/pinentry-%{version}.tar.bz2
# Source0-md5:	e2b6f94471ba1e978f6e5bf6b275189b
Patch0:		pinentry-system-assuan.patch
Patch1:		pinentry-info.patch
Patch2:		pinentry-am.patch
Patch3:		pinentry-doc.patch
Patch4:		pinentry-activate.patch
URL:		http://www.gnupg.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.10
BuildRequires:	gettext-devel
%{?with_gtk:BuildRequires:	gtk+-devel >= 1.2.0}
#BuildRequires:	libassuan-devel
BuildRequires:	libcap-devel
BuildRequires:	libstdc++-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
%{?with_qt:BuildRequires:	qt-devel >= 3}
BuildRequires:	texinfo
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a collection of simple PIN or passphrase entry dialogs which
utilize the Assuan protocol as described by the aegypten project; see
http://www.gnupg.org/aegypten/ for details.

This is an older version of pinentry, the last which contained GTK+
1.x and Qt 3.x based dialogs.

%description -l pl.UTF-8
Jest to zestaw prostych kontrolek dialogowych do wpisywania PIN-ów lub
haseł, używające protokołu Assuan opisanego w projekcie aegypten;
więcej szczegółów pod adresem http://www.gnupg.org/aegypten/.

Ten pakiet to starsza wersja pinentry, ostatnia zawierająca kontrolki
oparte na bibliotekach GTK+ 1.x oraz Qt 3.x

%package -n pinentry-gtk
Summary:	Simple PIN or passphrase entry dialog for GTK+ 1.x
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+ 1.x
Group:		X11/Applications

%description -n pinentry-gtk
Simple PIN or passphrase entry dialog for GTK+ 1.x.

%description -n pinentry-gtk -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla GTK+
1.x.

%package -n pinentry-qt
Summary:	Simple PIN or passphrase entry dialog for Qt 3
Summary(pl.UTF-8):	Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt 3
Group:		X11/Applications

%description -n pinentry-qt
Simple PIN or passphrase entry dialog for Qt 3.

%description -n pinentry-qt -l pl.UTF-8
Prosta kontrolka dialogowa do wpisywania PIN-ów lub haseł dla Qt 3.

%prep
%setup -q -n pinentry-%{version}
#patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

#%{__rm} assuan/*.h

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} -I/usr/include/ncurses"
%configure \
	--enable-maintainer-mode \
	--enable-pinentry-curses=no \
	--enable-pinentry-gtk%{!?with_gtk:=no} \
	--enable-pinentry-gtk2=no \
	--enable-pinentry-qt%{!?with_qt:=no} \
	--enable-pinentry-qt4=no \
	--enable-pinentry-tty=no \
	--with-qt-includes=%{_includedir}/qt

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_bindir}/pinentry \
	$RPM_BUILD_ROOT%{_infodir}/pinentry.info

%clean
rm -rf $RPM_BUILD_ROOT

%if %{with gtk}
%files -n pinentry-gtk
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/pinentry-gtk
%endif

%if %{with qt}
%files -n pinentry-qt
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/pinentry-qt
%endif
%changelog
* Sun Nov 02 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pinentry0.8.git;a=log;h=master

* Sun Nov 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 16962d7
- build only old pinentry-gtk and pinentry-qt dialogs from this spec

* Thu Oct 02 2014 Jakub Bogusz <qboosh@pld-linux.org> 84e76db
- build also pinentry-tty for dumb terminals

* Sat Sep 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 57d1a0c
- rel 2; activate patch is back

* Sat Sep 20 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> baebdc9
- up to 0.8.4

* Tue May 07 2013 Jakub Bogusz <qboosh@pld-linux.org> c9d6e30
- updated to 0.8.3
- added am patch (fixes build with automake 1.13+)

* Wed Aug 29 2012 Jakub Bogusz <qboosh@pld-linux.org> f5f6363
- updated to 0.8.2

* Tue Jan 10 2012 lisu <lisu@pld-linux.org> 7fca008
- no more separated libtinfo(w)

* Fri Dec 16 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 7cabb71
- rel 3; activate properly

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b3ee5b1
- release 2

* Sat Jan 22 2011 sparky <sparky@pld-linux.org> 941fba9
- fixed linking
- restored rpmcppflags

* Sat Jan 08 2011 Jakub Bogusz <qboosh@pld-linux.org> b8ee488
- updated to 0.8.1
- stick to included libassuan 1.x until sb updates pinentry code for new libassuan

* Sun May 16 2010 arvenil <arvenil@pld-linux.org> 461907c
- up to 0.8.0

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> 67d1caa
- make it use libassuan1
- rel 2

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> 8d84fd6
- adjust for libassuan1

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> d7f63b9
- for qt4: added BR: qt4-build
- BR: QtGui-devel and regenerate moc only if compiled with qt4
- BR: gettext-devel

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 0a2f23f
- up to 0.7.6; qt4 version available now

* Sat Mar 07 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 651af08
- rel 4; add pinentry-qt4 to pinentry script

* Mon Nov 17 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> f37d66a
- rel 3; fix pinentry script

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 7499c65
- user-configurable first

* Tue Aug 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 63aa9b9
- release 2

